Subject: Re: POHMELFS high performance network filesystem. Transactions, failover, performance.

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 14 May 2008 12:31:31 +0400

On Wed, May 14, 2008 at 01:01:01AM -0700, Andrew Morton ([email-masked]) wrote:
> > When ->writepage() is used, it has to wait until page is written (remote
> > side sent acknowledge), so if multiple pages are being written
> > simultaneously we either have to allocate shared structure or use
> > per-page wait.
> 
> That sounds exactly like wait_on_page_writeback()?

Except that we can interrupt waiting and have a timeout, which is
allowed there (page will be unlocked sometime in the future, but we
return error now).

> > Will lock_page_killable()/__lock_page_killable() be exported to modules?
> 
> Maybe, if there's a need.  I see no particular problem with that.

Every good boys, who write own ->writepages() and locks pages there,
want that.

-- 
	Evgeniy Polyakov